003 File Manager
Current Path:
/usr/sbin
usr
/
sbin
/
📁
..
📄
ac
(10.36 KB)
📄
accton
(5.66 KB)
📄
acpiconf
(9.14 KB)
📄
acpidb
(496.75 KB)
📄
acpidump
(39.86 KB)
📄
adduser
(23.38 KB)
📄
ancontrol
(34.19 KB)
📄
apm
(13.1 KB)
📄
arp
(17.88 KB)
📄
ath3kfw
(14.51 KB)
📄
audit
(5.98 KB)
📄
auditd
(21.79 KB)
📄
auditdistd
(127.49 KB)
📄
auditreduce
(15.34 KB)
📄
authpf
(20.57 KB)
📄
authpf-noip
(20.57 KB)
📄
automount
(50.65 KB)
📄
automountd
(50.65 KB)
📄
autounmountd
(50.65 KB)
📄
bcmfw
(8.68 KB)
📄
bhyve
(374.03 KB)
📄
bhyvectl
(41.55 KB)
📄
bhyveload
(16.41 KB)
📄
binmiscctl
(14.12 KB)
📄
blacklistctl
(33.88 KB)
📄
blacklistd
(41.85 KB)
📄
bluetooth-config
(9.71 KB)
📄
boot0cfg
(15.09 KB)
📄
bootparamd
(15.81 KB)
📄
bootpef
(38.09 KB)
📄
bootptest
(17.37 KB)
📄
bsdconfig
(11.98 KB)
📄
bsdinstall
(3.44 KB)
📄
bsnmpd
(136.55 KB)
📄
bthidcontrol
(36.06 KB)
📄
bthidd
(55.51 KB)
📄
btpand
(32.42 KB)
📄
btxld
(13.49 KB)
📄
callbootd
(9.26 KB)
📄
camdd
(37.59 KB)
📄
cdcontrol
(22.45 KB)
📄
certctl
(7.74 KB)
📄
chkgrp
(9.04 KB)
📄
chkprintcap
(18.22 KB)
📄
chown
(10.23 KB)
📄
chroot
(8.31 KB)
📄
ckdist
(16.18 KB)
📄
clear_locks
(6.23 KB)
📄
config
(56.23 KB)
📄
cpucontrol
(20.03 KB)
📄
crashinfo
(8.21 KB)
📄
cron
(44.9 KB)
📄
ctladm
(66.98 KB)
📄
ctld
(123.97 KB)
📄
cxgbetool
(2.86 MB)
📄
daemon
(15.76 KB)
📄
dconschat
(22.84 KB)
📄
devctl
(11.83 KB)
📄
devinfo
(8.68 KB)
📄
diskinfo
(19.2 KB)
📄
dtrace
(35.91 KB)
📄
dumpcis
(26.69 KB)
📄
dwatch
(36.59 KB)
📄
editmap
(84.02 KB)
📄
edquota
(22.9 KB)
📄
efibootmgr
(22.04 KB)
📄
efidp
(9.79 KB)
📄
efivar
(14.77 KB)
📄
etcupdate
(43.94 KB)
📄
extattrctl
(16.63 KB)
📄
fdcontrol
(14.94 KB)
📄
fdformat
(18.52 KB)
📄
fdread
(17.14 KB)
📄
fdwrite
(10.19 KB)
📄
fifolog_create
(9.03 KB)
📄
fifolog_reader
(31.19 KB)
📄
fifolog_writer
(15.57 KB)
📄
flowctl
(12.19 KB)
📄
fmtree
(36.11 KB)
📄
freebsd-update
(91.6 KB)
📄
fstyp
(19.38 KB)
📄
ftp-proxy
(28.19 KB)
📄
fwcontrol
(32.87 KB)
📄
gensnmptree
(29.26 KB)
📄
getextattr
(11.24 KB)
📄
getfmac
(6.78 KB)
📄
getpmac
(6.9 KB)
📄
gpioctl
(11.71 KB)
📄
gssd
(34.37 KB)
📄
gstat
(23.22 KB)
📄
hccontrol
(174.81 KB)
📄
hcsecd
(30.18 KB)
📄
hcseriald
(10.12 KB)
📄
hostapd
(876.65 KB)
📄
hostapd_cli
(79.18 KB)
📄
hoststat
(8.41 KB)
📄
hv_kvp_daemon
(21.99 KB)
📄
hv_vss_daemon
(9.45 KB)
📄
i2c
(14.99 KB)
📄
iasl
(1.34 MB)
📄
idprio
(7.61 KB)
📄
ifmcstat
(12.74 KB)
📄
inetd
(47.88 KB)
📄
iostat
(19.66 KB)
📄
iovctl
(19.91 KB)
📄
ip6addrctl
(12.2 KB)
📄
ipfwpcap
(10.79 KB)
📄
iprop-log
(24.89 KB)
📄
iscsid
(37.38 KB)
📄
iwmbtfw
(19.09 KB)
📄
jail
(68.96 KB)
📄
jexec
(8.85 KB)
📄
jls
(15.11 KB)
📄
kbdcontrol
(39.62 KB)
📄
kbdmap
(16.16 KB)
📄
keyserv
(24.67 KB)
📄
kgmon
(13.02 KB)
📄
kldxref
(29.59 KB)
📄
kstash
(9.68 KB)
📄
ktutil
(38.81 KB)
📄
l2control
(12.84 KB)
📄
l2ping
(10.6 KB)
📄
lastlogin
(8.5 KB)
📄
local-unbound
(148.45 KB)
📄
local-unbound-anchor
(38.63 KB)
📄
local-unbound-checkconf
(29.43 KB)
📄
local-unbound-control
(33.32 KB)
📄
local-unbound-setup
(11.7 KB)
📄
lockstat
(49.98 KB)
📄
lpc
(55.95 KB)
📄
lpd
(82.2 KB)
📄
lptcontrol
(6.48 KB)
📄
lptest
(6.03 KB)
📄
lsextattr
(11.24 KB)
📄
mailstats
(73.28 KB)
📄
mailwrapper
(8.41 KB)
📄
makefs
(183.64 KB)
📄
makemap
(89.47 KB)
📄
manctl
(7.75 KB)
📄
memcontrol
(11.88 KB)
📄
mergemaster
(43.59 KB)
📄
mfiutil
(75.3 KB)
📄
mixer
(12.14 KB)
📄
mld6query
(10.53 KB)
📄
mlx5tool
(11.54 KB)
📄
mlxcontrol
(19.72 KB)
📄
mount_smbfs
(15.29 KB)
📄
mountd
(54.05 KB)
📄
moused
(40.59 KB)
📄
mprutil
(33.95 KB)
📄
mpsutil
(33.95 KB)
📄
mptable
(15.74 KB)
📄
mptutil
(46.35 KB)
📄
mtest
(17.24 KB)
📄
mtree
(60.94 KB)
📄
ndis_events
(9.19 KB)
📄
ndiscvt
(39.78 KB)
📄
ndisgen
(15.83 KB)
📄
ndp
(24.03 KB)
📄
newsyslog
(46.39 KB)
📄
nfscbd
(10.15 KB)
📄
nfsd
(22.62 KB)
📄
nfsdumpstate
(8.02 KB)
📄
nfsrevoke
(6.08 KB)
📄
nfsuserd
(16.87 KB)
📄
ngctl
(29.15 KB)
📄
nghook
(10.09 KB)
📄
nmtree
(60.94 KB)
📄
nologin
(625.77 KB)
📄
nscd
(87.91 KB)
📄
ntp-keygen
(205.75 KB)
📄
ntpd
(842.26 KB)
📄
ntpdate
(126.85 KB)
📄
ntpdc
(268.29 KB)
📄
ntptime
(83.42 KB)
📄
pac
(28.74 KB)
📄
pciconf
(37.38 KB)
📄
periodic
(4.19 KB)
📄
pkg
(32.22 KB)
📄
plockstat
(22.91 KB)
📄
pmc
(167.45 KB)
📄
pmcannotate
(15.8 KB)
📄
pmccontrol
(11.81 KB)
📄
pmcstat
(77.77 KB)
📄
pnfsdscopymr
(9.09 KB)
📄
pnfsdsfile
(10.01 KB)
📄
pnfsdskill
(6.26 KB)
📄
portsnap
(29.86 KB)
📄
powerd
(15.97 KB)
📄
ppp
(427.13 KB)
📄
pppctl
(15.77 KB)
📄
praliases
(86.38 KB)
📄
praudit
(9.13 KB)
📄
prometheus_sysctl_exporter
(13.91 KB)
📄
pstat
(14.47 KB)
📄
purgestat
(8.41 KB)
📄
pw
(74.28 KB)
📄
pwd_mkdb
(16.71 KB)
📄
pwm
(10.45 KB)
📄
quot
(14.92 KB)
📄
quotaoff
(8.29 KB)
📄
quotaon
(8.29 KB)
📄
rarpd
(16.11 KB)
📄
repquota
(11.14 KB)
📄
rfcomm_pppd
(13.8 KB)
📄
rip6query
(7.69 KB)
📄
rmextattr
(11.24 KB)
📄
rmt
(9.48 KB)
📄
rmuser
(8.96 KB)
📄
route6d
(46.17 KB)
📄
rpc.lockd
(64.46 KB)
📄
rpc.statd
(22.27 KB)
📄
rpc.umntall
(12.3 KB)
📄
rpc.yppasswdd
(41.08 KB)
📄
rpc.ypupdated
(18.19 KB)
📄
rpc.ypxfrd
(16.12 KB)
📄
rpcbind
(43.91 KB)
📄
rrenumd
(34.28 KB)
📄
rtadvctl
(31.52 KB)
📄
rtadvd
(70.95 KB)
📄
rtprio
(7.61 KB)
📄
rtsold
(40.09 KB)
📄
rwhod
(17.15 KB)
📄
sa
(23.57 KB)
📄
sade
(48.1 KB)
📄
sdpcontrol
(15.98 KB)
📄
sdpd
(38.07 KB)
📄
sendmail
(8.41 KB)
📄
service
(4.84 KB)
📄
services_mkdb
(14.02 KB)
📄
sesutil
(20.83 KB)
📄
setextattr
(11.24 KB)
📄
setfib
(7.2 KB)
📄
setfmac
(14.27 KB)
📄
setfsmac
(14.27 KB)
📄
setpmac
(6.11 KB)
📄
smbmsg
(10.09 KB)
📄
snapinfo
(7.46 KB)
📄
sntp
(324.31 KB)
📄
spi
(15.59 KB)
📄
spkrtest
(3.62 KB)
📄
spray
(7.8 KB)
📄
sshd
(302.45 KB)
📄
swapinfo
(14.47 KB)
📄
syslogd
(53.15 KB)
📄
sysrc
(22.64 KB)
📄
tcpdchk
(19.85 KB)
📄
tcpdmatch
(16.88 KB)
📄
tcpdrop
(10.25 KB)
📄
tcpdump
(936.43 KB)
📄
traceroute
(33.23 KB)
📄
traceroute6
(30.32 KB)
📄
trim
(9.41 KB)
📄
trpt
(11.45 KB)
📄
tzsetup
(20.19 KB)
📄
uathload
(9.28 KB)
📄
uefisign
(20.87 KB)
📄
ugidfw
(8.57 KB)
📄
uhsoctl
(26.11 KB)
📄
usbconfig
(26.59 KB)
📄
usbdump
(16.42 KB)
📄
utx
(7.81 KB)
📄
valectl
(12.23 KB)
📄
vidcontrol
(27.79 KB)
📄
vidfont
(16.16 KB)
📄
vigr
(2.42 KB)
📄
vipw
(7.2 KB)
📄
wake
(7.33 KB)
📄
watch
(12.79 KB)
📄
watchdog
(15.37 KB)
📄
watchdogd
(15.37 KB)
📄
wlandebug
(16.26 KB)
📄
wpa_cli
(529.82 KB)
📄
wpa_passphrase
(37.72 KB)
📄
wpa_supplicant
(926.5 KB)
📄
yp_mkdb
(11.82 KB)
📄
ypbind
(20.45 KB)
📄
ypinit
(8.8 KB)
📄
ypldap
(93.28 KB)
📄
yppoll
(7.91 KB)
📄
yppush
(23.81 KB)
📄
ypserv
(43.55 KB)
📄
ypset
(7.36 KB)
📄
zdb
(164.94 KB)
📄
zdump
(13.48 KB)
📄
zfsd
(102.01 KB)
📄
zhack
(16.02 KB)
📄
zic
(42.48 KB)
📄
zonectl
(13.94 KB)
📄
zzz
(1.23 KB)
Editing: manctl
#!/bin/sh # # SPDX-License-Identifier: BSD-4-Clause # # Copyright (c) 1994 Geoffrey M. Rehmet, Rhodes University # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # 3. All advertising materials mentioning features or use of this software # must display the following acknowledgement: # This product includes software developed by Geoffrey M. Rehmet # 4. Neither the name of Geoffrey M. Rehmet nor that of Rhodes University # may be used to endorse or promote products derived from this software # without specific prior written permission. # # THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED # WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF # MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL GEOFFREY M. REHMET OR RHODES UNIVERSITY BE LIABLE # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF # SUCH DAMAGE. # # $FreeBSD$ # # manctl: # a utility for manipulating manual pages # functions: # compress uncompressed man pages (elliminating .so's) # this is now two-pass. If possible, .so's # are replaced with hard links # uncompress compressed man pages # Things to watch out for: # Hard links - careful with g(un)zipping! # .so's - throw everything through soelim before gzip! # symlinks - ignore these - eg: expn is its own man page: # don't want to compress this! # PATH=/bin:/sbin:/usr/bin:/usr/sbin; export PATH # # Uncompress one page # uncompress_page() { local pname local fname local sect local ext # break up file name pname=$1 IFS='.' ; set $pname # less than 3 fields - don't know what to do with this if [ $# -lt 3 ] ; then IFS=" " ; echo ignoring $pname 1>&2 ; return 0 ; fi # construct name and section fname=$1 ; shift while [ $# -gt 2 ] ; do fname=$fname.$1 shift done sect=$1 ext=$2 IFS=" " case "$ext" in gz|Z) { IFS=" " ; set `file $pname` if [ $2 != "gzip" ] ; then echo moving hard link $pname 1>&2 mv $pname $fname.$ext # link else if [ $2 != "symbolic" ] ; then echo gunzipping page $pname 1>&2 temp=`mktemp -t manager` || exit 1 gunzip -c $pname > $temp chmod u+w $pname cp $temp $pname chmod 444 $pname mv $pname $fname.$sect rm -f $temp else # skip symlinks - this can be # a program like expn, which is # its own man page ! echo skipping symlink $pname 1>&2 fi fi };; *) { IFS=" " echo skipping file $pname 1>&2 } ;; esac # reset IFS - this is important! IFS=" " } # # Uncompress manpages in paths # do_uncompress() { local i local dir local workdir workdir=`pwd` while [ $# != 0 ] ; do if [ -d $1 ] ; then dir=$1 cd $dir for i in * ; do case $i in *cat?) ;; # ignore cat directories *) { if [ -d $i ] ; then do_uncompress $i else if [ -e $i ] ; then uncompress_page $i fi fi } ;; esac done cd $workdir else echo "directory $1 not found" 1>&2 fi shift done } # # Remove .so's from one file # so_purge_page() { local so_entries local lines local fname so_entries=`grep "^\.so" $1 | wc -l` if [ $so_entries -eq 0 ] ; then return 0 ; fi # we have a page with a .so in it echo $1 contains a .so entry 2>&1 # now check how many lines in the file lines=`wc -l < $1` # if the file is only one line long, we can replace it # with a hard link! if [ $lines -eq 1 ] ; then fname=$1; echo replacing $fname with a hard link set `cat $fname`; rm -f $fname ln ../$2 $fname else echo inlining page $fname 1>&2 temp=`mktemp -t manager` || exit 1 cat $fname | \ (cd .. ; soelim ) > $temp chmod u+w $fname cp $temp $fname chmod 444 $fname rm -f $temp fi } # # Remove .so entries from man pages # If a page consists of just one line with a .so, # replace it with a hard link # remove_so() { local pname local fname local sect # break up file name pname=$1 IFS='.' ; set $pname if [ $# -lt 2 ] ; then IFS=" " ; echo ignoring $pname 1>&2 ; return 0 ; fi # construct name and section fname=$1 ; shift while [ $# -gt 1 ] ; do fname=$fname.$1 shift done sect=$1 IFS=" " case "$sect" in gz) { echo file $pname already gzipped 1>&2 ; } ;; Z) { echo file $pname already compressed 1>&2 ; } ;; [12345678ln]*){ IFS=" " ; set `file $pname` if [ $2 = "gzip" ] ; then echo moving hard link $pname 1>&2 mv $pname $pname.gz # link else if [ $2 != "symbolic" ] ; then echo "removing .so's in page $pname" 1>&2 so_purge_page $pname else # skip symlink - this can be # a program like expn, which is # its own man page ! echo skipping symlink $pname 1>&2 fi fi };; *) { IFS=" " echo skipping file $pname 1>&2 } ;; esac # reset IFS - this is important! IFS=" " } # # compress one page # We need to watch out for hard links here. # compress_page() { local pname local fname local sect # break up file name pname=$1 IFS='.' ; set $pname if [ $# -lt 2 ] ; then IFS=" " ; echo ignoring $pname 1>&2 ; return 0 ; fi # construct name and section fname=$1 ; shift while [ $# -gt 1 ] ; do fname=$fname.$1 shift done sect=$1 IFS=" " case "$sect" in gz) { echo file $pname already gzipped 1>&2 ; } ;; Z) { echo file $pname already compressed 1>&2 ; } ;; [12345678ln]*){ IFS=" " ; set `file $pname` if [ $2 = "gzip" ] ; then echo moving hard link $pname 1>&2 mv $pname $pname.gz # link else if [ $2 != "symbolic" ] ; then echo gzipping page $pname 1>&2 temp=`mktemp -t manager` || exit 1 cat $pname | \ (cd .. ; soelim )| gzip -c -- > $temp chmod u+w $pname cp $temp $pname chmod 444 $pname mv $pname $pname.gz rm -f $temp else # skip symlink - this can be # a program like expn, which is # its own man page ! echo skipping symlink $pname 1>&2 fi fi };; *) { IFS=" " echo skipping file $pname 1>&2 } ;; esac # reset IFS - this is important! IFS=" " } # # Compress man pages in paths # do_compress_so() { local i local dir local workdir local what what=$1 shift workdir=`pwd` while [ $# != 0 ] ; do if [ -d $1 ] ; then dir=$1 cd $dir for i in * ; do case $i in *cat?) ;; # ignore cat directories *) { if [ -d $i ] ; then do_compress_so $what $i else if [ -e $i ] ; then $what $i fi fi } ;; esac done cd $workdir else echo "directory $1 not found" 1>&2 fi shift done } # # Display a usage message # ctl_usage() { echo "usage: $1 -compress <path> ... " 1>&2 echo " $1 -uncompress <path> ... " 1>&2 exit 1 } # # remove .so's and do compress # do_compress() { # First remove all so's from the pages to be compressed do_compress_so remove_so "$@" # now do ahead and compress the pages do_compress_so compress_page "$@" } # # dispatch options # if [ $# -lt 2 ] ; then ctl_usage $0 ; fi ; case "$1" in -compress) shift ; do_compress "$@" ;; -uncompress) shift ; do_uncompress "$@" ;; *) ctl_usage $0 ;; esac
Upload File
Create Folder